<script lang="ts">
import Vue from 'vue';
import SurveyStatBubble from './survey-stat-bubble.vue';
import ParallaxContainer from './parallax-container.vue';

export default Vue.extend({
  name: 'SurveyRoleBubbles',
  components: {
    SurveyStatBubble,
    ParallaxContainer,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <section class="survey-role-bubbles">
    <SlpContainer>
      <div
        v-if="data.background"
        class="survey-role-bubbles__background"
        data-aos="zoom-in-up"
        :data-aos-duration="data.aos_duration"
        :data-aos-offset="data.aos_offset"
      >
        <ParallaxContainer :offset="0.02">
          <nuxt-img
            class="grid__icon__logo"
            :src="data.background"
            alt=""
            loading="lazy"
          />
        </ParallaxContainer>
      </div>
      <SlpTypography variant="heading4-bold" tag="div">
        {{ data.title }}
      </SlpTypography>

      <SlpRow class="survey-role-bubbles__row slp-justify-content-center">
        <SlpColumn
          v-for="block in data.blocks"
          :key="block.label"
          :cols="6"
          class="survey-role-bubbles__col"
        >
          <div class="survey-role-bubbles__stat">
            <SurveyStatBubble :data="block" />
          </div>
          <SlpTypography
            v-if="block.label"
            variant="body2-bold"
            tag="div"
            class="survey-role-bubbles__legend"
            >{{ block.label }}</SlpTypography
          >
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.survey-role-bubbles {
  color: $color-primary-300;
  position: relative;
  &__col {
    width: 50%;
    text-align: center;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    @media (min-width: $breakpoint-lg) {
      text-align: left;
    }
    &:nth-child(1) {
      order: 2;
      flex-direction: column;
      @media (min-width: $breakpoint-lg) {
        flex-direction: row-reverse;
      }
      .survey-role-bubbles__stat {
        margin-right: 0;
        width: 265px;
        flex-shrink: 0;
        @media (min-width: $breakpoint-md) {
          width: 340px;
          margin-right: -80px;
        }
      }
      :deep {
        .survey-stat-bubble__number * {
          font-size: 48px;
          @media (min-width: $breakpoint-md) {
            font-size: 80px;
          }
        }
      }
    }
    &:nth-child(2) {
      order: 1;
      flex: 0 0 100%;
      max-width: 100%;
      margin-bottom: -15%;
      @media (min-width: $breakpoint-md) {
        margin-bottom: -10%;
        margin-right: -$spacing-160;
      }
      .survey-role-bubbles__stat {
        width: 270px;
        flex-shrink: 0;
        :deep {
          .survey-stat-bubble__number * {
            font-size: 48px;
          }
        }
      }
    }
    &:nth-child(3) {
      order: 3;
      justify-content: flex-start;
      flex-direction: column;
      @media (min-width: $breakpoint-md) {
        flex-direction: row;
        margin-top: $spacing-24;
      }
      .survey-role-bubbles__stat {
        width: 245px;
        flex-shrink: 0;
        @media (min-width: $breakpoint-md) {
          margin-left: -10px;
        }
        :deep {
          .survey-stat-bubble__number * {
            font-size: 48px;
          }
        }
      }
    }
  }
  &__stat {
    width: 100%;
    :deep {
      .survey-stat-bubble__number * {
        font-family: 'Jet Brains Mono';
      }
    }
  }

  &__legend {
    margin-top: $spacing-4;
  }
  &__background {
    position: absolute;

    top: -59%;
    left: -36%;

    @media (min-width: $breakpoint-md) {
      top: -23%;
      left: 10%;
    }
  }
}
</style>
